Bug 615531 - RFE: Provide hooks or other callback method for luks keyfile locations
Summary: RFE: Provide hooks or other callback method for luks keyfile locations
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 13
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 22:39 UTC by Nathanael Noblet
Modified: 2014-03-17 03:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 21:05:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathanael Noblet 2010-07-16 22:39:46 UTC
Description of problem:

I would like to have a system where the keyfile is on a physically disconnected device, without which the machine wouldn't be able to boot. To do so, from what I can tell I would have to modify rc.sysinit so that if it can't find the key it calls an external program to mount/load the key before attempting an unlock. Currently the key is on a usb stick that is inserted when the machine boots so no automounter is available, and I'd rather not have an entry in /etc/fstab for removeable media...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.